#
# spec file for package python3-requests-toolbelt
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-requests-toolbelt
Version:        0.6.2
Release:        1.1
License:        Apache-2.0
Summary:        A utility belt for advanced users of python3-requests
Url:            https://toolbelt.readthedocs.org
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/e1/a4/a94c037bc72ad70441aff1403d3243510d2542ddca7759faaeffeb11aefe/requests-toolbelt-%{version}.tar.gz
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests >= 2.0.1
Requires:       python3-requests >= 2.0.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is just a collection of utilities for `python3-requests`_, but don't
really belong in ``requests`` proper. The minimum tested requests version is
``2.1.0``. In reality, the toolbelt should work with ``2.0.1`` as well, but
some idiosyncracies prevent effective or sane testing on that version.

%prep
%setup -q -n requests-toolbelt-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# Requires python3-betamax.  This package does not exist.
#python3 setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sat May 14 2016 carmenbbakker@gmail.com
- Removed commented BuildRequires.
* Sat May 14 2016 carmenbbakker@gmail.com
- Introduce version 0.6.2.
